Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2394043002: Remove SVN support from PRESUBMIT (Closed)

Created:
2 years, 8 months ago by agable
Modified:
2 years, 6 months ago
Reviewers:
M-A Ruel, Dan Beam
CC:
chromium-reviews, dpranke+depot_tools_chromium.org, iannucci+depot_tools_chromium.org
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 2

Patch Set 2 : Add aliases for compatibility #

Patch Set 3 : Updated patchset dependency #

Patch Set 4 : Updated patchset dependency #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+119 lines, -707 lines) Patch
M presubmit_canned_checks.py View 2 chunks +0 lines, -53 lines 0 comments Download
M presubmit_support.py View 1 14 chunks +51 lines, -211 lines 2 comments Download
M tests/presubmit_unittest.py View 1 31 chunks +68 lines, -443 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 13 (5 generated)
agable
2 years, 8 months ago (2016-10-05 21:22:15 UTC) #1
M-A Ruel
https://codereview.chromium.org/2394043002/diff/1/presubmit_support.py File presubmit_support.py (right): https://codereview.chromium.org/2394043002/diff/1/presubmit_support.py#newcode437 presubmit_support.py:437: def AffectedTestableFiles(self, include_deletes=None): This increases the odd of this ...
2 years, 8 months ago (2016-10-05 21:25:33 UTC) #2
agable
https://codereview.chromium.org/2394043002/diff/1/presubmit_support.py File presubmit_support.py (right): https://codereview.chromium.org/2394043002/diff/1/presubmit_support.py#newcode437 presubmit_support.py:437: def AffectedTestableFiles(self, include_deletes=None): On 2016/10/05 at 21:25:33, M-A Ruel ...
2 years, 8 months ago (2016-10-05 22:51:01 UTC) #3
M-A Ruel
lgtm
2 years, 8 months ago (2016-10-05 23:22:54 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2394043002/60001
2 years, 7 months ago (2016-11-22 17:22:09 UTC) #7
commit-bot: I haz the power
Committed patchset #4 (id:60001) as https://chromium.googlesource.com/chromium/tools/depot_tools/+/0b65e732b44fbbbd4e40062b4581c47a95afb36d
2 years, 7 months ago (2016-11-22 17:25:50 UTC) #10
Dan Beam
https://codereview.chromium.org/2394043002/diff/60001/presubmit_support.py File presubmit_support.py (left): https://codereview.chromium.org/2394043002/diff/60001/presubmit_support.py#oldcode441 presubmit_support.py:441: def AffectedFiles(self, include_dirs=False, include_deletes=True, can you grep for keywords ...
2 years, 6 months ago (2016-11-29 19:13:45 UTC) #12
Dan Beam
2 years, 6 months ago (2016-11-29 19:16:30 UTC) #13
Message was sent while issue was closed.
https://codereview.chromium.org/2394043002/diff/60001/presubmit_support.py
File presubmit_support.py (left):

https://codereview.chromium.org/2394043002/diff/60001/presubmit_support.py#ol...
presubmit_support.py:441: def AffectedFiles(self, include_dirs=False,
include_deletes=True,
On 2016/11/29 19:13:45, Dan Beam wrote:
> can you grep for keywords when you remove them next time?
> 
> this broke third_party/polymer/v1_0/PRESUBMIT.py as well as (likely)
> native_client/PRESUBMIT.py
> 
>
https://cs.chromium.org/search/?q=include_dirs%3D+affectedfiles&sq=package:ch...

"this broke" -> removing include_dirs=

Powered by Google App Engine
This is Rietveld 408576698